'From Smalltalk/X, Version:5.2.8 on 16-01-2008 at 01:34:53'                     !

"{ Package: 'SpreadSheet:all' }"

Object subclass:#CellExpression
	instanceVariableNames:'root'
	classVariableNames:''
	poolDictionaries:''
	category:'obp-SpreadSheet'
!

!CellExpression class methodsFor:'instance-creation'!

with: anObject
  |tmp|
  tmp:=self new.
  tmp root: anObject.
  ^tmp.
! !

!CellExpression methodsFor:'accessing'!

asString
        ^ self stringRepr.
!

root
        ^ root.
!

value
        | val |
        root isNil ifTrue: [^ CellEmpty new].
        [val := root value.] on: MessageNotUnderstood do: [:ex | ^ CellUndefined new].
        val isNil ifTrue: [^ CellEmpty new].
        ^val.
! !

!CellExpression methodsFor:'creation'!

root: anExpression
        root := anExpression.
! !

!CellExpression methodsFor:'export'!

exportUsing: anExporter
        ^ anExporter exportCellExpression: self.
!

stringRepr
        root isNil ifTrue: [ ^ '' ] ifFalse: [ ^ '=', (root asString) ].
! !

!CellExpression methodsFor:'recursion-detection'!

checkRecursionAgainst: anObject
   "sends message deeper"
   root checkRecursionAgainst: anObject.
! !

