'From Smalltalk/X, Version:5.2.8 on 16-01-2008 at 01:34:52'                     !

"{ Package: 'SpreadSheet:all' }"

Object subclass:#SpreadSheetExporter
	instanceVariableNames:'filename'
	classVariableNames:''
	poolDictionaries:''
	category:'obp-SpreadSheet'
!

!SpreadSheetExporter class methodsFor:'instance-creation'!

newWithFile: fileName
   ^ (self new) setFile: fileName.
! !

!SpreadSheetExporter methodsFor:'exporter-settings'!

setFile:fileName 
    "open file"
    filename := fileName.
    ^ self
! !

!SpreadSheetExporter methodsFor:'spreadsheet-exporting'!

export:spreadSheet
    "Exports SpredSheet"
    
    ^ self subclassResponsibility
!

exportCellExpression:anObject 
    "exports expression"
    ^ self subclassResponsibility.
!

exportDate:anObject 
    "Exports Date"
    
    ^ self subclassResponsibility
!

exportEmpty:anObject
    "Exports String."
    
    ^ self subclassResponsibility
!

exportNumber:anObject 
    "Exports Number. Maybe there must be special method for every Number subclass we expect to be used."
    
    ^ self subclassResponsibility
!

exportString:anObject
    "Exports String."
    
    ^ self subclassResponsibility
!

exportTime:anObject 
    "Exports time"
    
    ^ self subclassResponsibility
!

exportUndefined:anObject 
    "Exports undefined value, because this object cannot be exported"
    
    ^ self subclassResponsibility
! !

